Subject: Re: [PATCH] added *my-open-bugs functions

From: Michael Albinus <[email-masked]>
Date: Tue, 04 Oct 2022 16:15:55 +0200

[email-masked] writes:

Hi Joshua,
>>
>>> * debbugs-gnu.el: debbugs-gnu-my-open-bugs: new procedure.
>>> * debbugs-org.el: debbugs-org-my-open-bugs: new procedure.
>>> * debbugs-guix.el: debbugs-gnu-guix-search: new procedure.
>>> * debugs-ug.texi: added documentation for *my-open-bugs procedures.
>>
>> Thanks for this. In order to push the changes, I'd like to get ChangeLog
>> like commit messages.
>
> I thought that's what I had.  I'll try to fix it.  I'll just look at
> the git history.

Yes, the point is ChangeLog-style.

>> It also wouldn't hurt if you add a small section about
>> debbugs-gnu-guix-search. Everything, what is undocumenbted, doesn't
>> exist :-)
>
> I will do both points.  Should every interactive function in any *.el file
> have an autoload ?

Not necessarily. Only, we want to have it accessible directly, w/o
loading the respective .el file.

>>> Thanks,
>>> Joshua

Best regards, Michael.